from . import auto_load
import bpy
from .properties import POPULATION_Props, CrowdItem
import os

bl_info = {
    "name": "Population",
    "description": "Spread people",
    "author": "Bproduction, CG Thoughts",
    "version": (1, 1, 2),
    "blender": (4, 0, 0),
    "location": "View3D",
    "wiki_url": "",
    "category": "Object"}

auto_load.init()

def register():
    auto_load.register()

    bpy.types.Scene.POPULATION_Props = bpy.props.PointerProperty(type=POPULATION_Props)

    bpy.types.Scene.crowd_list_index = bpy.props.IntProperty(name="Index for crowd list", default=0)


def unregister():
    auto_load.unregister()

if __name__ == "__main__":
    register()